aboutsummaryrefslogtreecommitdiff
path: root/Scripts
diff options
context:
space:
mode:
Diffstat (limited to 'Scripts')
-rwxr-xr-xScripts/.config/Scripts/autostart.sh22
-rwxr-xr-xScripts/.config/Scripts/setbg6
-rwxr-xr-xScripts/.config/Scripts/wp2
3 files changed, 19 insertions, 11 deletions
diff --git a/Scripts/.config/Scripts/autostart.sh b/Scripts/.config/Scripts/autostart.sh
index ea4d60b..bcd5e54 100755
--- a/Scripts/.config/Scripts/autostart.sh
+++ b/Scripts/.config/Scripts/autostart.sh
@@ -10,7 +10,7 @@ function run {
}
# Common programs
-~/.config/Scripts/screen.sh d && sleep 2s
+#~/.config/Scripts/screen.sh d && sleep 2s
setxkbmap -layout us -variant altgr-intl -option caps:escape
xmodmap -e "keycode 135 = Super_R"
xset s off -dpms
@@ -18,12 +18,20 @@ run dunst
run mpd
run nm-applet
run compton
-#run wal -i ~/.config/wall1.jpg
-run setbg ~/.config/wall.png
-run synclient TouchpadOff=1
-run /usr/bin/xflux -l 43.6404 -g -79.3995
-run st -c email -e neomutt
-run brave
+setbg ~/.config/wall.png
+
+FEDORA=$(hostnamectl | grep -qw Fedora && echo $?)
+if [ $FEDORA -eq 0 ];
+then
+ xinput --set-prop "Synaptics TM3276-031" "Device Enabled" 0
+ run vivaldi-stable
+else
+ synclient TouchpadOff=1
+ run /usr/bin/xflux -l 43.6404 -g -79.3995
+ run st -c email -e neomutt
+ run brave
+fi
+
run keepassxc
amixer -c 0 set Headphone 100% unmute
run dropbox
diff --git a/Scripts/.config/Scripts/setbg b/Scripts/.config/Scripts/setbg
index 5637ca0..1084471 100755
--- a/Scripts/.config/Scripts/setbg
+++ b/Scripts/.config/Scripts/setbg
@@ -10,9 +10,9 @@
WALLPAPER_HOME="$HOME/.config/wall.png"
-[ -f "$1" ] && cp "$1" "$WALLPAPER_HOME" && notify-send -i "$WALLPAPER_HOME" "Wallpaper changed."
+[ -f "$1" ] && cp -f "$1" "$WALLPAPER_HOME" && notify-send -i "$WALLPAPER_HOME" "Wallpaper changed."
-[ -d "$1" ] && cp "$(find "$1" -name "*.jpg" -o -name "*.jpeg" -o -name "*.png" -type f | shuf -n 1)" "$WALLPAPER_HOME" && notify-send -i "$WALLPAPER_HOME" "Random Wallpaper chosen."
+[ -d "$1" ] && cp -f "$(find "$1" -name "*.jpg" -o -name "*.jpeg" -o -name "*.png" -type f | shuf -n 1)" "$WALLPAPER_HOME" && notify-send -i "$WALLPAPER_HOME" "Random Wallpaper chosen."
# If pywal is installed, use it.
-wal -c && wal -i "$WALLPAPER_HOME"
+wal -c && wal -o $HOME/.config/Scripts/done.sh -i "$WALLPAPER_HOME"
diff --git a/Scripts/.config/Scripts/wp b/Scripts/.config/Scripts/wp
index bc2ca6d..e36b9e0 100755
--- a/Scripts/.config/Scripts/wp
+++ b/Scripts/.config/Scripts/wp
@@ -1,4 +1,4 @@
#!/bin/sh
-find $HOME/Downloads/wallpapers -type f | shuf | sxiv -
+find $HOME/Pictures/wallpapers -type f | shuf | sxiv -